Docs
Get Rule Sets
GET /rule-sets
GET
/rule-setsLists the event's rule sets, each with the resource types that use it by default and its rule count. Use Resources_GetRuleSet for the rules themselves.
Response
Type: GetRuleSetListResponse[]
GetRuleSetListResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| resourceTypes | GetRuleSetListResponseResourceTypeRef[]| null | |
| ruleCount | integer |
GetRuleSetListResponseResourceTypeRef
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |